package be.jeffcheasey88.peeratcode.parser.java;

import java.util.Map;

import be.jeffcheasey88.peeratcode.parser.Token;

public class Annotation{
	
	public static interface Annotable{
		
		void addAnnotation(Annotation annotation);
		
	}
	
	private Token name;
	private Map<Token, Value> values;
	
	public Annotation(Token name){
		this.name = name;
	}
	
	public Annotation(Token name, Map<Token, Value> values){
		this(name);
		this.values =  values;
	}
	
	public Token getName(){
		return name;
	}

}
