package be.jeffcheasey88.peeratcode.parser.java;

import java.util.ArrayList;
import java.util.List;

import be.jeffcheasey88.peeratcode.parser.Bag;
import be.jeffcheasey88.peeratcode.parser.Token;

public class JavaFile extends JavaElement implements ClassContainer{
	
	private List<Token> pack;
	private List<List<Token>> imports;
	private Class mainClazz;
	private List<Class> subClazz;
	
	public JavaFile(){
		this.imports = new ArrayList<>();
		this.subClazz = new ArrayList<>();
	}
	
	JavaFile setPackage(Bag bag){
		this.pack = bag.<List<Token>>get();
//		System.out.println("setPackage "+pack);
		return this;
	}
	
	JavaFile addImport(Bag bag){
		this.imports.add(bag.<List<Token>>get());
//		System.out.println("addImport "+imports.get(imports.size()-1));
		return this;
	}
	
//	Class setClass(Class clazz){
//		this.mainClazz = clazz;
////		System.out.println("setClass "+clazz);
//		return clazz;
//	}

	@Override
	public void addClass(Class clazz){
		if(mainClazz == null) this.mainClazz = clazz;
		else subClazz.add(clazz);
	}
}
